<?php

namespace App\Classes\Modules\HelpMenu\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\HelpMenu\DataTransferObjects\GenerateFeedbackUrlObject;

class FeedbackUrlValidation extends AbstractValidation
{

    /**
     * @param GenerateFeedbackUrlObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'system' => $object->getSystem(),
            'email' => $object->getEmail(),
            'question_set' => $object->getQuestionSet()
            // 'customer_marking' => $object->getCustomerMarking(),
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'system' => 'required',
            'email' => 'required',
            'question_set' => 'required',
            // 'customer_marking' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }

}
